# PhasicFlow: IOobject::object_t< dataType > Class Template Reference

IOobject::object_t< dataType > Class Template Reference
Inheritance diagram for IOobject::object_t< dataType >:
[legend]
Collaboration diagram for IOobject::object_t< dataType >:
[legend]

## Public Member Functions

template<typename... Args, typename = std::enable_if_t<!std::is_constructible<object_t, Args&&...>::value>>
| object_t (Args &&... args)
| object_t (const dataType &data)
virtual uniquePtr< iObject > | clone () const
virtual word | typeName () const
virtual bool | read_object_t (iIstream &is)
virtual bool | write_object_t (iOstream &os) const
Public Member Functions inherited from IOobject::iObject
virtual | ~iObject ()=default

## Public Attributes

dataType | data_

## Detailed Description

### template<typename dataType>
class pFlow::IOobject::object_t< dataType >

Definition at line 60 of file IOobject.hpp.

## Constructor & Destructor Documentation

## object_t() [1/2]

object_t | ( | Args &&... | args | ) |

inline

Definition at line 71 of file IOobject.hpp.

## object_t() [2/2]

object_t | ( | const dataType & | data | ) |

inline

Definition at line 77 of file IOobject.hpp.

## Member Function Documentation

## clone()

virtual uniquePtr<iObject> clone | ( |  | ) | const

inlinevirtual

Implements IOobject::iObject.

Definition at line 83 of file IOobject.hpp.

## typeName()

virtual word typeName | ( |  | ) | const

inlinevirtual

Implements IOobject::iObject.

Definition at line 88 of file IOobject.hpp.

References IOobject::object_t< dataType >::data_.

## read_object_t()

virtual bool read_object_t | ( | iIstream & | is | ) |

inlinevirtual

Implements IOobject::iObject.

Definition at line 93 of file IOobject.hpp.

References IOobject::object_t< dataType >::data_.

## write_object_t()

virtual bool write_object_t | ( | iOstream & | os | ) | const

inlinevirtual

Implements IOobject::iObject.

Definition at line 98 of file IOobject.hpp.

References IOobject::object_t< dataType >::data_.

## Member Data Documentation

## data_

dataType data_

Definition at line 65 of file IOobject.hpp.

Referenced by IOobject::getObject(), IOobject::object_t< dataType >::read_object_t(), IOobject::object_t< dataType >::typeName(), and IOobject::object_t< dataType >::write_object_t().

The documentation for this class was generated from the following file:

- src/phasicFlow/repository/IOobject/IOobject.hpp